GENDERS_HANDLE_DESTROY(3)

NAME
genders_handle_destroy - destroys a genders handle

SYNOPSIS
#include <genders.h>

int genders_handle_destroy(genders_t handle);

DESCRIPTION
genders_handle_destroy() destroys the genders handle pointed to by handle and frees all allocated memory associated with it.

RETURN VALUES
On success, 0 is returned. On error, -1 is returned, and an error code is returned in handle. The error code can be retrieved via genders_errnum(3) , and a description of the error code can be retrieved via genders_strerror(3). Error codes are defined in genders.h.

ERRORS

GENDERS_ERR_NULLHANDLE
    The handle parameter is NULL. The genders handle must be created with genders_handle_create(3).

GENDERS_ERR_MAGIC
    handle has an incorrect magic number. handle does not point to a genders handle or handle has already been destroyed.

FILES
/usr/include/genders.h

SEE ALSO
libgenders(3), genders_handle_create(3), genders_load_data(3), genders_errnum(3), genders_strerror(3)